//
//  SettingsUserIssueView.swift
//  punchnet
//
//  Created by 安礼成 on 2026/1/19.
//

import SwiftUI

struct SettingsUserIssueView: View {
    @State private var account: String = ""
    @State private var text: String = ""
    
    var body: some View {
        VStack {
            Text("用户反馈")
            
            TextField("", text: $account)
                .multilineTextAlignment(.leading)
                .textFieldStyle(PlainTextFieldStyle())
                .frame(width: 200, height: 25)
                .background(Color.clear)
                .foregroundColor(Color.black)
                .overlay(
                    Rectangle()
                        .frame(height: 1)
                        .foregroundColor(.blue)
                        .padding(.top, 25)
                    , alignment: .topLeading)
            
            TextEditor(text: $text)
                .padding(4)
                .overlay(alignment: .topLeading) {
                    if text.isEmpty {
                        Text("请输入内容")
                            .foregroundColor(.gray)
                            .padding(.leading, 8)
                    }
                }
                .frame(minHeight: 120)
                .overlay(
                    RoundedRectangle(cornerRadius: 6)
                        .stroke(Color.gray.opacity(0.4))
                )
            
        }
        .padding()
    }
}

#Preview {
    SettingsUserIssueView()
}
